package cz.moneta.test.dsl.auto.autoapi;

import cz.moneta.test.harness.support.rest.Header;
import cz.moneta.test.harness.support.rest.RestRequest;

public interface AutoApiRequest<B, REQ, RESP> extends RestRequest<B, REQ, RESP> {
    @Header("Authorization")
    B withAuthorizationBearer(String authorizationBearer);

    @Header("Accept")
    B withAccept(String accept);
}
